import request from '@/utils/request'

export function getProjects(query) {
  return request({
    url: '/proconfig/get_project',
    method: 'get',
    params: query
  })
}

export function saveProject(data) {
  return request({
    url: '/proconfig/save',
    method: 'post',
    data
  })
}

export function deleteProject(query) {
  return request({
    url: '/proconfig/delete',
    method: 'get',
    params: query
  })
}
export function getHostName(query) {
  return request({
    url: '/proconfig/getHostName',
    method: 'get',
    params: query
  })
}

export function getType() {
  return request({
    url: '/proconfig/get_type',
    method: 'get'
  })
}
